Bug 410700 - kmail no longer allows addition of gmail account
Summary: kmail no longer allows addition of gmail account
Status: REOPENED
Alias: None
Product: kontact
Classification: Applications
Component: mail (show other bugs)
Version: 5.7.3
Platform: Ubuntu Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-07 17:35 UTC by Ekkehard Blanz
Modified: 2020-04-06 13:45 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ekkehard Blanz 2019-08-07 17:35:29 UTC
SUMMARY
kmail no longer allows me to create a new gmail account using the standard method where authentication is "gmail," giving me the following error message:

"Sign in with Google temporarily disabled for this app
This app has not been verified yet by Google in order to use Google Sign In."

The workaround, using a "Custom Account..." also does not work as it insists that the authentication method be "gmail" as soon as I enter imap.gmail.com as the IMAP server, but, as mentioned above, this method does not work.  I need it to be "PLAIN" to work.

STEPS TO REPRODUCE
1. Select "Configure KMail"
2. Click "Add..."
3. Select "Custom Account..." and select IMAP E-Mail Server
4. Enter "imap.gmail.com" as the IMAP Server
5. Since every further choice is grayed out, click "OK"
6. Go through the Google sign-in process and observes the error message

"Sign in with Google temporarily disabled for this app
This app has not been verified yet by Google in order to use Google Sign In."

OBSERVED RESULT
As soon as "imap.gmail.com" is entered as the IMAP Server, the Password field is grayed out, and in the "Advanced" field, "Authentication" is fixed to "Gmail", which then fails to authenticate

EXPECTED RESULT
a) When Google authentication is offered, it should work.
b) In the "manual" or "Custom" mode, I should be in full control and enter "Plain" in the authentication method instead of "gmail," so I can work around the bug in a)


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
KDE Plasma Version: 5.12.8
KDE Frameworks Version: 5.44.0
Qt Version: 5.9.5
Kernel Version: 4.15.0-55-generic

ADDITIONAL INFORMATION
Comment 1 Wolfgang Bauer 2019-08-08 09:52:03 UTC

*** This bug has been marked as a duplicate of bug 404990 ***
Comment 2 Wolfgang Bauer 2019-08-09 12:30:51 UTC
(In reply to Wolfgang Bauer from comment #1)
> *** This bug has been marked as a duplicate of bug 404990 ***
Apparently this is not a duplicate (as it is about not being able to change the settings, not about the authentification itself), sorry.

Just a note from my side though: 5.7.3 is quite old already, the latest version is 5.11.3 (with 5.12.0 being released next week).
So maybe it might be worth to try a later version, if possible.
Comment 3 Renzo de Paoli 2019-10-22 20:51:01 UTC
I can confirm that I see exactly the same behaviour.

Whenever the IMAP-Server setting is IMAP.GMAIL.COM, the KMail Wizard locks the authorisation to "GMail".

Workaround:
 => Set IMAP-Server to IMAP.GOOGLEMAIL.COM
That allows setting authorization to PLAIN, as required.
Comment 4 Tom Chiverton 2019-11-13 18:47:58 UTC
5.7.3 is the latest in Kubuntu baxkports for 1804 LTS
Comment 5 Tom Chiverton 2019-11-13 20:15:39 UTC
Using IMAP.GOOGLEMAIL.COM as the IMAP (receiving) works to enable to normal authentication options, which work fine.
Comment 6 Hans-Peter Jansen 2019-11-15 10:19:54 UTC
Well, not here. 

IMAP option is enabled in my gmail account.

Keep User name: full gmail address
Modify IMAP-Server: imap.gmail.com -> imap.googlemail.com
Keep Encryption: SSL/TLS, Port 993
Modify Authorization method: Gmail -> PLAIN

Result: A000002 NO Invalid credentials ( Failure ) [ AUTHENTICATIONFAILED  ]

I can only abort the akonadi login to google.

username and password are correct! I rechecked with Firefox wallet, compared Firefox password with akonadi password of this very account, etc...

Retested by removing the akonadi google account, and adding it from scratch.
Access of kwallet is granted. 

openSUSE Tumbleweed 20191112
Comment 7 Hans-Peter Jansen 2019-12-13 15:00:23 UTC
Hi,

it is working fine,  for me now.

If IMAP access isn't working for you, but you did the other changes already, it's most probably, that access needs to be granted for less secure apps:

https://myaccount.google.com/lesssecureapps
Comment 8 David Bate 2019-12-29 16:32:30 UTC
Looks like this has now gone across the KDE platform. After re-installing KDE/Tumbleweed, I can no longer sign into google via the system settings > online accounts nor via dolphin > networks.